Subject: Re: [PATCH net] ravb: Remove clear unhandled interrupt

From: Sergei Shtylyov <[email-masked]>
Date: Mon, 7 Dec 2015 20:44:32 +0300

Hello.

On 12/07/2015 07:59 PM, Yoshihiro Kaneko wrote:

>>> From: Kazuya Mizuguchi <[email-masked]>
>>>
>>> AVB-DMAC Reception Warning interrupt is not enabled, so it is not
>>> necessary to clear the interrupt.
>>>
>>> Signed-off-by: Kazuya Mizuguchi <[email-masked]>
>>> Signed-off-by: Yoshihiro Kaneko <[email-masked]>
>>
>>
>>     In principle I agree but perhaps we should clear RIC1 in probe() to not
>> depend on a state left from a bootloader?
>
> I think that it is a good idea.
> I'll add it to v2.

    Perhaps the ndo_open() method would be a better place...

>> MBR, Sergei

> Thanks,
> Kaneko

MBR, Sergei